[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| CompleteOOBInfo Class Reference |

`#include <vigra/random_forest/rf_visitors.hxx>`

Inheritance diagram for CompleteOOBInfo:

## Public Member Functions

template<class RF , class PR >
void | visit_at_end (RF &rf, PR &pr)
Public Member Functions inherited from VisitorBase
double | return_val ()
template<class Tree , class Split , class Region , class Feature_t , class Label_t >
void | visit_after_split (Tree &tree, Split &split, Region &parent, Region &leftChild, Region &rightChild, Feature_t &features, Label_t &labels)
template<class RF , class PR , class SM , class ST >
void | visit_after_tree (RF &rf, PR &pr, SM &sm, ST &st, int index)
template<class RF , class PR >
void | visit_at_beginning (RF const &rf, PR const &pr)
template<class RF , class PR >
void | visit_at_end (RF const &rf, PR const &pr)
template<class TR , class IntT , class TopT , class Feat >
void | visit_external_node (TR &tr, IntT index, TopT node_t, Feat &features)
template<class TR , class IntT , class TopT , class Feat >
void | visit_internal_node (TR &, IntT, TopT, Feat &)

## Public Attributes

MultiArray< 2, double > | breiman_per_tree
double | oob_breiman
double | oob_mean
MultiArray< 2, double > | oob_per_tree
double | oob_per_tree2
double | oob_std
MultiArray< 4, double > | oobroc_per_tree

## Detailed Description

Visitor that calculates different OOB error statistics

## Member Function Documentation

## ◆ visit_at_end()

void visit_at_end | ( | RF & | rf,
|  | PR & | pr
| ) |  |

Normalise variable importance after the number of trees is known.

## Member Data Documentation

## ◆ oob_per_tree

MultiArray<2, double> oob_per_tree

OOB Error rate of each individual tree

## ◆ oob_mean

double oob_mean

Mean of oob_per_tree

## ◆ oob_std

double oob_std

Standard deviation of oob_per_tree

## ◆ oob_breiman

double oob_breiman

Ensemble OOB error

See also
  OOB_Error

## ◆ oob_per_tree2

double oob_per_tree2

Per Tree OOB error calculated as in OOB_PerTreeError (Ulli's version)

## ◆ breiman_per_tree

MultiArray<2, double> breiman_per_tree

Column containing the development of the Ensemble error rate with increasing number of trees

## ◆ oobroc_per_tree

MultiArray<4, double> oobroc_per_tree

4 dimensional array containing the development of confusion matrices with number of trees - can be used to estimate ROC curves etc.

oobroc_per_tree(ii,jj,kk,ll) corresponds true label = ii predicted label = jj confusion matrix after ll trees

explanation of third index:

Two class case: kk = 0 - (treeCount-1) Threshold is on Probability for class 0 is kk/(treeCount-1); More classes: kk = 0. Threshold on probability set by argMax of the probability array.

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_visitors.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.1